Public Class CalcEndEventArgs
   Inherits EventArgs

   Public Enum Results As Integer
      NULL = 0
      OK = 1
      ERROR_ = 2
      EDIT = 3
   End Enum

   Public m_End As Results
   Public Property End_ As Results
      Get
         Return m_End
      End Get
      Private Set(value As Results)
         m_End = value
      End Set
   End Property

   Public m_CmdType As CmdTypes
   Public Property CmdType As CmdTypes
      Get
         Return m_CmdType
      End Get
      Private Set(value As CmdTypes)
         m_CmdType = value
      End Set
   End Property

   Sub New(CmdType As CmdTypes, Result As Results)
      m_CmdType = CmdType
      m_End = Result
   End Sub

End Class
